/*
 * Copyright 2006 Mask@ Project.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.maskat.framework.eventdef;

import org.maskat.framework.BasicDef;

public class Bind extends BasicDef {
	private String fromkey;

	private String tokey;

	private String node;

	private String sendBlankElement;

	// public boolean equals(Object obj) {
	// if (obj == this)
	// return true;
	// if (!(obj instanceof Bind))
	// return false;
	//
	// Bind o = (Bind) obj;
	// if (!CUtil.isStrEqual(fromkey, o.fromkey))
	// return false;
	// if (!CUtil.isStrEqual(tokey, o.tokey))
	// return false;
	// if (!CUtil.isStrEqual(node, o.node))
	// return false;
	//
	// return super.contentEquals(obj);
	// }

	public String getFromkey() {
		return fromkey;
	}

	public void setFromkey(String fromKey) {
		this.fromkey = fromKey;
	}

	public String getNode() {
		return node;
	}

	public void setNode(String node) {
		this.node = node;
	}

	public String getTokey() {
		return tokey;
	}

	public void setTokey(String toKey) {
		this.tokey = toKey;
	}

	public String getSendBlankElement() {
		return sendBlankElement;
	}

	public void setSendBlankElement(String sendBlankElement) {
		this.sendBlankElement = sendBlankElement;
	}

}
